Package org.apache.lucene.util.automaton

## Class TooComplexToDeterminizeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.lucene.util.automaton.TooComplexToDeterminizeException

- All Implemented Interfaces:
    `Serializable`

      public class TooComplexToDeterminizeException
      extends RuntimeException

  This exception is thrown when determinizing an automaton would require too much work.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TooComplexToDeterminizeException​(Automaton automaton, int determinizeWorkLimit)` | Use this constructor when the automaton failed to determinize.
    `TooComplexToDeterminizeException​(RegExp regExp, TooComplexToDeterminizeException cause)` | Use this constructor when the RegExp failed to convert to an automaton.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Automaton` | `getAutomaton()` | Returns the automaton that caused this exception, if any.
    `int` | `getDeterminizeWorkLimit()` | Get the maximum allowed determinize effort.
    `RegExp` | `getRegExp()` | Return the RegExp that caused this exception if any.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TooComplexToDeterminizeException

          public TooComplexToDeterminizeException​(RegExp regExp,
                                                  TooComplexToDeterminizeException cause)

      Use this constructor when the RegExp failed to convert to an automaton.

    - #### TooComplexToDeterminizeException

          public TooComplexToDeterminizeException​(Automaton automaton,
                                                  int determinizeWorkLimit)

      Use this constructor when the automaton failed to determinize.

  - ### Method Detail

    - #### getAutomaton

          public Automaton getAutomaton()

      Returns the automaton that caused this exception, if any.

    - #### getRegExp

          public RegExp getRegExp()

      Return the RegExp that caused this exception if any.

    - #### getDeterminizeWorkLimit

          public int getDeterminizeWorkLimit()

      Get the maximum allowed determinize effort.